<!DOCTYPE html>
<?php include('chat.php')?>
<html>
    <head>
        <title>Chat</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <style>
        h1 {
          text-align: center;
        }
        form {
          width: 500px;
          text-align: center;
          margin: auto;
        }
        input {
          margin-top: 5px;
          text-align: center;
        }
        div {
          background-color: lightgrey;
          margin: 15px;
          padding: 15px;
        }
        </style>
    </head>
    <body>
      <div>
        <?php
            $reponse = $baseDonnee->query('SELECT message, name, date FROM messages')->fetchAll();
            foreach($reponse as $message){
        ?>
          <p><b><?= htmlspecialchars($message['name']) ?></b>
              (<?= htmlspecialchars($message[date]) ?>):
            <?= htmlspecialchars($message['message']); ?>
            <?php }
            ?>
      </div>
           <h1>Entrez votre Commentaire</h1>
                <form action="./index.html" method="post">
                  <fieldset id="chatFieldset">
                    <p>
                        <label for="name">Nom d'utilisateur :</label><br>
                        <input type="text" name="name" id="name" pattern="^[a-zA-Z0-9 ]{2,30}$" placeholder="Nom d'utilisateur"/>
                    </p>
                    <p>
                      <label for="Message">Message :</label><br>
        								<textarea id="Message" name="message" rows="4" cols="54" placeholder="Votre message..."></textarea><br>
                    </p>
                    <p>
                        <input type="submit" value="Envoyer" style="width: 200px"/>
                    </p>
                  </fieldset>
                </form>
    </body>
</html>
